"""Resources initialization"""

from . import (
    about,
    analysis,
    building_properties,
    building_property_data,
    buildings,
    campaign_scopes,
    campaigns,
    energies,
    energy_consumption_timeseries_by_buildings,
    energy_consumption_timeseries_by_sites,
    energy_end_uses,
    energy_production_technologies,
    energy_production_timeseries_by_buildings,
    energy_production_timeseries_by_sites,
    event_categories,
    event_categories_by_users,
    events,
    events_by_buildings,
    events_by_sites,
    events_by_spaces,
    events_by_storeys,
    events_by_zones,
    input_output,
    notifications,
    site_properties,
    site_property_data,
    sites,
    space_properties,
    space_property_data,
    spaces,
    storey_properties,
    storey_property_data,
    storeys,
    structural_element_properties,
    tasks,
    tasks_by_campaigns,
    timeseries,
    timeseries_by_buildings,
    timeseries_by_events,
    timeseries_by_sites,
    timeseries_by_spaces,
    timeseries_by_storeys,
    timeseries_by_zones,
    timeseries_data,
    timeseries_data_states,
    timeseries_properties,
    timeseries_property_data,
    user_groups,
    user_groups_by_campaign_scopes,
    user_groups_by_campaigns,
    users,
    users_by_user_groups,
    weather_timeseries_by_sites,
    zone_properties,
    zone_property_data,
    zones,
)

MODULES = (
    about,
    users,
    user_groups,
    users_by_user_groups,
    campaigns,
    user_groups_by_campaigns,
    campaign_scopes,
    user_groups_by_campaign_scopes,
    timeseries_properties,
    timeseries_data_states,
    timeseries,
    timeseries_property_data,
    timeseries_data,
    event_categories,
    event_categories_by_users,
    events,
    timeseries_by_events,
    events_by_sites,
    events_by_buildings,
    events_by_storeys,
    events_by_spaces,
    events_by_zones,
    notifications,
    sites,
    buildings,
    storeys,
    spaces,
    zones,
    structural_element_properties,
    site_properties,
    building_properties,
    storey_properties,
    space_properties,
    zone_properties,
    site_property_data,
    building_property_data,
    storey_property_data,
    space_property_data,
    zone_property_data,
    timeseries_by_sites,
    timeseries_by_buildings,
    timeseries_by_storeys,
    timeseries_by_spaces,
    timeseries_by_zones,
    energies,
    energy_end_uses,
    energy_production_technologies,
    energy_consumption_timeseries_by_sites,
    energy_consumption_timeseries_by_buildings,
    energy_production_timeseries_by_sites,
    energy_production_timeseries_by_buildings,
    weather_timeseries_by_sites,
    input_output,
    analysis,
    tasks,
    tasks_by_campaigns,
)


def register_blueprints(api):
    """Initialize application with all modules"""
    for module in MODULES:
        module.register_blueprints(api)
